Win a copy of Python Continuous Integration and Delivery this week in the Python forum!
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Liutauras Vilda
  • Bear Bibeault
  • Paul Clapham
  • Jeanne Boyarsky
Sheriffs:
  • Devaka Cooray
  • Junilu Lacar
  • Tim Cooke
Saloon Keepers:
  • Tim Moores
  • Ron McLeod
  • Tim Holloway
  • Claude Moore
  • Stephan van Hulst
Bartenders:
  • Winston Gutkowski
  • Carey Brown
  • Frits Walraven

NoSuchMethodError: com.lowagie.text.pdf.PdfWriter. setRgbTransparencyBlending(Z)V  RSS feed

 
Ranch Hand
Posts: 86
1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I saw in forums of internet that solution for this problem is to include the itext-2.1.7 in the class path, but after download and put it in class path my problem still the same.
Below follows my code:

Log:


Thanks for any assistance.
Cezar.
 
Saloon Keeper
Posts: 5284
143
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator

I saw in forums of internet that solution for this problem is to include the itext-2.1.7 in the class path


No. The error points to an incorrect version of the iText library in your classpath. You should keep exactly those libraries in the classpath that are needed for whichever version of JasperReports you're using. Jasper probably came with its own set of jar files - use only those.
 
Cezar Apulchro
Ranch Hand
Posts: 86
1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I will see the libraries.
Thanks.
 
Cezar Apulchro
Ranch Hand
Posts: 86
1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Tim,
I have removed all the libs of my class path, and the error now is:

I have only jasperreports-6.7.0.jar in my project path.
 
Tim Moores
Saloon Keeper
Posts: 5284
143
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator

I have removed all the libs of my class path ... I have only jasperreports-6.7.0.jar in my project path.


Why did you remove the other libraries? Jasper needs a whole bunch of libraries - you can't just remove those. Again:

Earlier I wrote:You should keep exactly those libraries in the classpath that are needed for whichever version of JasperReports you're using. Jasper probably came with its own set of jar files - use only those.


 
Cezar Apulchro
Ranch Hand
Posts: 86
1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi Tim,
I have set up the classpath again, below is my libs:
jasperreport-6.7.0.jar
jasperreport-fonts-6.7.0.jar
jasperreport-javaflow-6.7.0.jar
this first  3 libs was downloaded from jaspersoft  site, "jasperreport library", the next libs was downloaded by search in the internet forums because the ocurred errors.
classmate-0.8.0.jar
commons-annotations-1.0.0.jar
commons-beanutils-1.9.2.jar
commons-collections-20040616.jar
commons-collections-3.2.1.jar
commons-dbcp-1.2.2.jar
commons-fileuplod-1.3.jar
commons-io-2.4.jar
commons-logging-1.2.1.1.jar
commons-math-1.0.jar
commons-pool-1.6.jar
commons-digester3-3.2.jar
My problem now is "java.lang.NoClassDefFoundError: org/apache/commons/digester/Rule", the last lib was downloaded from Apache site.

Thanks.
 
Cezar Apulchro
Ranch Hand
Posts: 86
1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi, I have solved my problem with JasperReports.
Above my solution.
1 - the servlet:

2 - the dependences of my project:


Thanks in advance.
 
permaculture is largely about replacing oil with people. And one tiny ad:
Become a Java guru with IntelliJ IDEA
https://www.jetbrains.com/idea/
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!